Summary:	Z39.50 protocol support library
Summary(pl.UTF-8):	Biblioteka obsługująca protokół Z39.50
Name:		yaz
Version:	5.0.4
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
# Source0-md5:	d2c69d51a9787a66b786bbb4099c2520
URL:		http://www.indexdata.dk/yaz/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	libicu-devel >= 3.4
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxslt-devel >= 1.1.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pkgconfig
BuildRequires:	readline-devel >= 5.0
BuildRequires:	tcl >= 8.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAZ is a C library for developing client - and server applications
using the ANSI/NISO Z39.50 protocol for Information Retrieval.

%description -l pl.UTF-8
YAZ to biblioteka w C do tworzenia aplikacji klienckich i serwerów
korzystających z protokołu ANSI/NISO Z39.50 do uzyskiwania informacji.

%package devel
Summary:	Header files for YAZ library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libwrap-devel
Requires:	libxml2-devel >= 2.0
Requires:	libxslt-devel >= 1.1.0
Requires:	openssl-devel >= 0.9.7d

%description devel
Header files for YAZ library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki YAZ.

%package static
Summary:	YAZ static libraries
Summary(pl.UTF-8):	Statyczne biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
YAZ static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki YAZ.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-tcpd \
	--with-openssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	docDATA_INSTALL="install -p" \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/yaz doc-dist

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE NEWS README
%attr(755,root,root) %{_bindir}/yaz-asncomp
%attr(755,root,root) %{_bindir}/yaz-client*
%attr(755,root,root) %{_bindir}/yaz-iconv
%attr(755,root,root) %{_bindir}/yaz-icu
%attr(755,root,root) %{_bindir}/yaz-illclient
%attr(755,root,root) %{_bindir}/yaz-json-parse
%attr(755,root,root) %{_bindir}/yaz-marcdump
%attr(755,root,root) %{_bindir}/yaz-url
%attr(755,root,root) %{_bindir}/yaz-ztest*
%attr(755,root,root) %{_bindir}/zoomsh
%attr(755,root,root) %{_libdir}/libyaz.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz.so.5
%attr(755,root,root) %{_libdir}/libyaz_icu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz_icu.so.5
%attr(755,root,root) %{_libdir}/libyaz_server.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libyaz_server.so.5
%dir %{_datadir}/yaz
%{_datadir}/yaz/etc
%{_datadir}/yaz/ill
%{_datadir}/yaz/z39.50
%{_mandir}/man1/yaz-asncomp.1*
%{_mandir}/man1/yaz-client*.1*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-icu.1*
%{_mandir}/man1/yaz-illclient.1*
%{_mandir}/man1/yaz-json-parse.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/yaz-url.1*
%{_mandir}/man1/zoomsh.1*
%{_mandir}/man7/bib1-attr.7*
%{_mandir}/man7/yaz.7*
%{_mandir}/man7/yaz-log.7*
%{_mandir}/man8/yaz-ztest*.8*

%files devel
%defattr(644,root,root,755)
%doc doc-dist/* 
%attr(755,root,root) %{_bindir}/yaz-config
%attr(755,root,root) %{_libdir}/libyaz.so
%attr(755,root,root) %{_libdir}/libyaz_icu.so
%attr(755,root,root) %{_libdir}/libyaz_server.so
%{_libdir}/libyaz.la
%{_libdir}/libyaz_icu.la
%{_libdir}/libyaz_server.la
%{_includedir}/yaz
%{_pkgconfigdir}/yaz.pc
%{_aclocaldir}/yaz.m4
%{_mandir}/man1/yaz-config.1*

%files static
%defattr(644,root,root,755)
%{_libdir}/libyaz.a
%{_libdir}/libyaz_icu.a
%{_libdir}/libyaz_server.a
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yaz.git;a=log;h=master

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 20b181f
- updated to 5.0.4

* Wed Nov 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 5585e44
- updated to 5.0.3

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 7d98285
- updated to 5.0.2 (note: new sonames)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 159b97c
- release 2 (by relup.sh)

* Fri Sep 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 23300e4
- updated to 4.2.66

* Tue Aug 27 2013 Jakub Bogusz <qboosh@pld-linux.org> 5d89275
- updated to 4.2.65

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 07d1059
- updated to 4.2.63

* Fri Jul 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 6e38089
- updated to 4.2.62

* Fri May 17 2013 Lukasz Glebicki <blekot@pld-linux.org> 67ccbfb
- up to 4.2.57

* Tue Apr 30 2013 Lukasz Glebicki <blekot@pld-linux.org> 39a9d70
- up to 4.2.56

* Fri Apr 19 2013 Jakub Bogusz <qboosh@pld-linux.org> f84fe3a
- updated 4.2.54

* Sun Apr 14 2013 Lukasz Glebicki <blekot@pld-linux.org> f7ebb9b
- up to 4.2.53

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 719d9cb
- updated to 4.2.52

* Fri Feb 15 2013 Jakub Bogusz <qboosh@pld-linux.org> bdea169
- updated to 4.2.51

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 6e17447
- updated to 4.2.50

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> d5539d6
- updated to 4.2.49

* Sat Jan 12 2013 Jakub Bogusz <qboosh@pld-linux.org> f1e00a9
- updated to 4.2.48

* Tue Nov 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 7da036d
- updated to 4.2.47

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 0db463d
- updated to 4.2.46

* Sat Oct 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 36299b4
- updated to 4.2.44

